Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGUserAgentGUIAdapter

    java.lang.Object
      org.apache.batik.swing.svg.SVGUserAgentAdapter
          org.apache.batik.swing.svg.SVGUserAgentGUIAdapter

All Implemented Interfaces:
  SVGUserAgent

public class SVGUserAgentGUIAdapter
extends SVGUserAgentAdapter

One line Class Desc Methods users may want to implement: displayMessage

Field Summary
`java.awt.Component` | `parentComponent`

Constructor Summary
`SVGUserAgentGUIAdapter(java.awt.Component parentComponent)`

Method Summary
`void` | `displayError(java.lang.Exception ex)` Displays an error resulting from the specified Exception.
`void` | `displayError(java.lang.String message)` Displays an error message.
`void` | `displayMessage(java.lang.String message)` Displays a message in the User Agent interface.
`void` | `showAlert(java.lang.String message)` Shows an alert dialog box.
`boolean` | `showConfirm(java.lang.String message)` Shows a confirm dialog box.
`java.lang.String` | `showPrompt(java.lang.String message)` Shows a prompt dialog box.
`java.lang.String` | `showPrompt(java.lang.String message, java.lang.String defaultValue)` Shows a prompt dialog box.

Methods inherited from class org.apache.batik.swing.svg.SVGUserAgentAdapter
`checkLoadExternalResource, checkLoadScript, getAlternateStyleSheet, getBolderFontWeight, getDefaultFontFamily, getExternalResourceSecurity, getLanguages, getLighterFontWeight, getMedia, getMediumFontSize, getPixelToMM, getPixelUnitToMillimeter, getScriptSecurity, getUserStyleSheetURI, getXMLParserClassName, handleElement, isXMLParserValidating, openLink, supportExtension`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentComponent

    public java.awt.Component parentComponent

Constructor Detail

### SVGUserAgentGUIAdapter

    public SVGUserAgentGUIAdapter(java.awt.Component parentComponent)

Method Detail

### displayError

    public void displayError(java.lang.String message)

  Displays an error message.

  Specified by:
    `displayError` in interface `SVGUserAgent`
  Overrides:
    `displayError` in class `SVGUserAgentAdapter`

### displayError

    public void displayError(java.lang.Exception ex)

  Displays an error resulting from the specified Exception.

  Specified by:
    `displayError` in interface `SVGUserAgent`
  Overrides:
    `displayError` in class `SVGUserAgentAdapter`

### displayMessage

    public void displayMessage(java.lang.String message)

  Displays a message in the User Agent interface. The given message is typically displayed in a status bar.

  Specified by:
    `displayMessage` in interface `SVGUserAgent`
  Overrides:
    `displayMessage` in class `SVGUserAgentAdapter`

### showAlert

    public void showAlert(java.lang.String message)

  Shows an alert dialog box.

  Specified by:
    `showAlert` in interface `SVGUserAgent`
  Overrides:
    `showAlert` in class `SVGUserAgentAdapter`

### showPrompt

    public java.lang.String showPrompt(java.lang.String message)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `SVGUserAgent`
  Overrides:
    `showPrompt` in class `SVGUserAgentAdapter`

### showPrompt

    public java.lang.String showPrompt(java.lang.String message,
                                       java.lang.String defaultValue)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `SVGUserAgent`
  Overrides:
    `showPrompt` in class `SVGUserAgentAdapter`

### showConfirm

    public boolean showConfirm(java.lang.String message)

  Shows a confirm dialog box.

  Specified by:
    `showConfirm` in interface `SVGUserAgent`
  Overrides:
    `showConfirm` in class `SVGUserAgentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.